package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkRoundTask;
import com.ruoyi.system.domain.task.TkRoundTaskExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkRoundTaskMapper {
    long countByExample(TkRoundTaskExample example);

    int deleteByExample(TkRoundTaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkRoundTask record);

    int insertSelective(TkRoundTask record);

    List<TkRoundTask> selectByExampleWithBLOBs(TkRoundTaskExample example);

    List<TkRoundTask> selectByExample(TkRoundTaskExample example);

    TkRoundTask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkRoundTask record, @Param("example") TkRoundTaskExample example);

    int updateByExampleWithBLOBs(@Param("record") TkRoundTask record, @Param("example") TkRoundTaskExample example);

    int updateByExample(@Param("record") TkRoundTask record, @Param("example") TkRoundTaskExample example);

    int updateByPrimaryKeySelective(TkRoundTask record);

    int updateByPrimaryKeyWithBLOBs(TkRoundTask record);

    int updateByPrimaryKey(TkRoundTask record);
}